Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseConfig..::.SetEncryption Method
DatabaseConfig Class See Also Send Feedback

Set the password and algorithm used by the Berkeley DB library to perform encryption and decryption.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void SetEncryption(
    	string password,
    	EncryptionAlgorithm alg
    )

Visual Basic (Declaration)
    Public Sub SetEncryption ( _
    	password As String, _
    	alg As EncryptionAlgorithm _
    )

Visual C++
    public:
    void SetEncryption(
    	String^ password,
    	EncryptionAlgorithm alg
    )

#### Parameters

password
  Type: System..::.String
  The password used to perform encryption and decryption.

alg
  Type: BerkeleyDB..::.EncryptionAlgorithm
  The algorithm used to perform encryption and decryption.

# See Also

DatabaseConfig Class
BerkeleyDB Namespace